THINKFINGER(1)

NAME
tf-tool - Utility to acquire and to verify fingerprints

SYNOPSIS
tf-tool [OPTION]

DESCRIPTION
ThinkFinger is a driver for the UPEK/SGS Thomson Microelectronics fingerprint reader (USB ID 0483:2016). The device is being found either as a standalone USB device, built into USB keyboards or built into laptops (mostly Dell, IBM/Lenovo and Toshiba).

tf-tool is the utility used to acquire and to verify the fingerprints.

OPTIONS

--acquire
    Acquire a fingerprint. You will be prompted to swipe your finger. It needs three successful swipes to get a fingerprint. This fingerprint is stored in /tmp/test.bir.

--verify
    Verify a fingerprint. tf-tool will read a fingerprint image from /tmp/test.bir and compare that with the finger which is being swiped.

--add-user "login"
    Acquire a fingerprint for the user identified by login. If this user or the bir folder /etc/pam_thinkfinger do not exist, tf-tool exits with an error. If the acquiring process is successful, the fingerprint is stored in the bir folder as /etc/pam_thinkfinger/login.bir. This option is available only when ThinkFinger has been compiled with PAM support.

--verify-user "login"
    Verify a fingerprint for the user identified by login. If this user or the bir folder /etc/pam_thinkfinger do not exist, tf-tool exits with an error. This option is available only when ThinkFinger has been compiled with PAM support.

--verbose
    Add more output messages.

FILES
/etc/pam_thinkfinger
    The default folder where the fingerprint for login users are stored
/tmp/tmp.bir
    The file used when acquiring or verifying a fingerprint

BUGS
Please report bugs to <thinkfinger-devel@lists.sourceforge.net>.

SEE ALSO
pam_thinkfinger(8) http://thinkfinger.sourceforge.net/

AUTHORS
ThinkFinger was written by Timo Hoenig <thoenig@suse.de> and Pavel Machek <pavel@suse.cz> and is licensed under the terms of the GNU General Public License (GPL). This manual page was written by Luca Capello <luca@pca.it>. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License (GPL).